Group: Other
# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/desktop-file-install
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           methane
Version:        1.5.1
Release:        alt2_34
Summary:        Super Methane Brothers
License:        GPLv2+
URL:            http://methane.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tgz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch1:         methane-highscore.patch
Patch2:         methane-fullscreen.patch
Patch3:         methane-1.5.1-clanlib-23.patch
Patch4:         methane-1.5.1-gcc5.patch
BuildRequires:  gcc gcc-c++
BuildRequires:  libclanlib2.3-devel >= 2.3 desktop-file-utils
Requires:       icon-theme-hicolor opengl-games-utils
Source44: import.info

%description
Super Methane Brothers is a platform game converted from the Amiga by
its original author.


%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1



%build
make CXXFLAGS="$RPM_OPT_FLAGS"


%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
mkdir -p $RPM_BUILD_ROOT%{_var}/games
install -m 755 %{name} $RPM_BUILD_ROOT%{_bindir}
cp -a resources $RPM_BUILD_ROOT%{_datadir}/%{name}
ln -s opengl-game-wrapper.sh $RPM_BUILD_ROOT%{_bindir}/%{name}-wrapper
touch $RPM_BUILD_ROOT%{_var}/games/%{name}.scores

# below is the desktop file and icon stuff.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --dir $RPM_BUILD_ROOT%{_datadir}/applications %{SOURCE1}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps
install -p -m 644 %{SOURCE2} \
  $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/%{name}.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!-- Copyright 2014 William Moreno Reyes <williamjmorenor@gmail.com> -->
<!--
UpstreamURL:  Upstream is dead, private email
SentUpstream: 2014-09-24
-->
<application>
  <id type="desktop">methane.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Platform Arcade Game similar to Bubble Bubble</summary>
  <description>
    <p>
      Super Methane Brothers is a platform arcade game Puff and Blow each have a
      Methane Gas Gun which fires a cloud of immobilising gas.
      If this comes into contact with a bad guy, he will be absorbed into the gas
      and then float around the screen for a limited time.
      Bad guys are harmless in this state.
      Puff and Blow must suck the floating gas clouds into their guns and blast
      them out against a vertical surface.
      bThe Bad guys then turn into bonuses which can be collected.
    </p>
  </description>
  <url type="homepage">http://methane.sourceforge.net/</url>
  <screenshots>
    <screenshot type="default">http://methane.sourceforge.net/gamepic.gif</screenshot>
  </screenshots>
</application>
EOF

%files
%doc authors.txt docs history.txt readme.txt
%doc --no-dereference copying.txt
%attr(2711,root,games) %{_bindir}/%{name}
%{_bindir}/%{name}-wrapper
%{_datadir}/%{name}
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%verify(not md5 size mtime) %config(noreplace) %attr(664,root,games) %{_var}/games/%{name}.scores


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_34
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_32
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_31
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_30
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_29
- update to new release by fcimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_28
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.5.1-alt2_27
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt2_26
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_26
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_25
- update to new release by fcimport

* Mon Sep 30 2019 Igor Vlasenko <viy@altlinux.ru> 1.5.1-alt1_24
- new version

